<?php

/* DCMS Special
 * Дата последнего редактирования 26.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user', 'thead') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Онлайн видео');

aut();

$d = (isset($_GET['d'])) ? htmlspecialchars($_GET['d']) : null;
$id = @intval($_GET['id']);

switch ($d) {
    case 'razd': {
            if ($user['level'] > 4) {
                #Навигация
                echo "<div class='list-group-item-null list-group-item-grey'><small>";
                echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
                echo "<a href='/modules/videos/'>" . lang('Видео') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
                echo lang('Новый раздел');
                echo "</small></div><br />";

                echo '<form class="list-group-item-null" action="index.php?d=add" method="POST">';

                $doc->Input('kat', 'Введите название раздела', 100);
                echo "<br />";
                $doc->Button('btn btn-primary btn-sm', null, 'plus', 'Добавить раздел');

                echo '</form>';

                require_once H . 'sys/inc/tfoot.php';
                exit;
            } else {
                $_SESSION['err'] = lang('Вы не имеета права создавать раздел');
                header('Location: index.php');
                exit;
            }
        }
        break;

    case 'add':

        $kat = mysql_real_escape_string($_POST['kat']);

        if (empty($_POST['kat'])) {
            $_SESSION['err'] = lang('Вы не ввели название раздела');
            header('Location: index.php?d=razd');
            exit;
        } elseif (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['kat'])) {
            $err[] = lang('В названии присутствуют запрещенные символы');
        } else {

            $kat = mysql_real_escape_string($_POST['kat']);

            mysql_query("INSERT INTO `videos_cat` (`name`) VALUES ('" . $kat . "')");
            $_SESSION['message'] = lang('Категория успешно создана');
            header('Location: index.php');
            exit;
        }
        break;

    case 'del':

        if ($user['level'] > 4) {
            echo "<div class='list-group-item-null'>";
            echo lang('Вы уверены, что хотите удалить раздел') . "?<br />";

            $doc->Link('btn btn-primary btn-sm', "index.php?id=$id&amp;d=del_ok", 'trash-o', 'Да');
            $doc->Link('btn btn-secondary btn-sm', "index.php", null, 'Нет');

            echo "</div>";

            require_once H . 'sys/inc/tfoot.php';
            exit;
        } else {
            $_SESSION['err'] = lang('Вы не имеета права удалить раздел');
            header('Location: index.php');
            exit;
        }

        break;

    case 'del_ok':

        if ($user['level'] > 4) {
            mysql_query("DELETE FROM `videos_cat` WHERE `id` = '" . $id . "'");
            $_SESSION['message'] = lang('Раздел успешно удален');
            header('Location: index.php');
            exit;
        }
        break;

    case 'ren':

        $q = mysql_query("SELECT * FROM `videos_cat` WHERE `id` = '" . $id . "'");
        while ($res = mysql_fetch_assoc($q)) {
            if ($user['level'] > 4) {
                #Навигация
                echo "<div class='list-group-item-null list-group-item-grey'><small>";
                echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
                echo "<a href='/modules/videos/'>" . lang('Видео') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
                echo "<a href='/modules/videos/'>" . cutStr($res['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
                echo lang('Редактор');
                echo "</small></div><br />";

                echo "<form action='index.php?id=$res[id]&amp;d=ren_ok' class='list-group-item-null' method='POST'>";

                $doc->Input('kat', 'Название раздела', 100, "$res[name]");
                echo "<br />";
                $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');

                echo "</form>";

                require_once H . 'sys/inc/tfoot.php';
                exit;
            }
        }
        break;

    case 'ren_ok':

        if ($user['level'] > 4) {
            if (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['kat'])) {
                $err[] = lang('В названии присутствуют запрещенные символы');
            } else {
                $kat = mysql_real_escape_string($_POST['kat']);

                mysql_query("UPDATE `videos_cat` SET `name` = '" . $kat . "' WHERE `id`= '" . $id . "'");

                $_SESSION['message'] = lang('Изменения сохранены');
                header('Location: index.php');
                exit;
            }
        }
        break;
    default:

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Видео');
        echo "</small></div><br />";

        $doc->Link('list-group-item-null list-group-item-grey', 'search.php', 'search', 'Поиск видео');

        echo "<div class='list-group-item-null list-group-item-grey'>
                <a href='new.php'><i class='fa fa-user fa-fw'></i> " . lang('Новые видео') . "</a> | 
                <a href='my.php'> " . lang('Мои видео') . "</a>
            </div>";

        $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `videos_cat`"), 0);
        $k_page = k_page($k_post, $set['p_str']);
        $page = page($k_page);
        $start = $set['p_str'] * $page - $set['p_str'];

        if ($k_post == 0) {
            $doc->NoResult();
        }

        $q = mysql_query("SELECT * FROM `videos_cat` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
        while ($res = mysql_fetch_assoc($q)) {
            // Cчетчик видео
            $count['video'] = mysql_result(mysql_query("SELECT COUNT(*) FROM `videos` WHERE `id_cat` = '$res[id]'"), 0);

            // Cчетчик новых видео
            $count['new_video'] = mysql_result(mysql_query("SELECT COUNT(*) FROM `videos` WHERE `id_cat` = '$res[id]' AND `time` > '" . MKTIME . "'"), 0);
            echo "<div class='list-group-item-null'>";
            if ($user['level'] > 4) {
                echo "<span style='float: right;'><a class='hint--left' data-hint='" . lang('Редактировать') . "' href='index.php?id=$res[id]&amp;d=ren'><i class='fa fa-edit fa-fw'></i></a> <a class='hint--left' data-hint='" . lang('Удалить') . "' href='index.php?id=$res[id]&amp;d=del'><i class='fa fa-trash-o fa-fw'></i></a></span>";
            }
            echo "<a href='razdel.php?id=$res[id]'><i class='fa fa-folder fa-fw'></i> $res[name]</a> ($count[video])";
            echo '</div>';
            echo "<div class='hr'></div>";
        }

        if ($k_page > 1) {
            str("?", $k_page, $page);
        }
        if ($user['level'] > 4) {
            $doc->Link('list-group-item-null', 'index.php?d=razd', 'plus', 'Создать раздел');
        }
}

err();

require_once H . 'sys/inc/tfoot.php';
